# Assessments API: Questions

## GET /api/assessments/banks/{bank}

> Retrieves one specific bank

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/assessments/banks/{bank}":{"get":{"tags":["Assessments API: Questions"],"summary":"Retrieves one specific bank","operationId":"retrieveBank","parameters":[{"name":"bank","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## HEAD /api/assessments/banks/{bank}

> Checks for the existence of one specific bank

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/assessments/banks/{bank}":{"head":{"tags":["Assessments API: Questions"],"summary":"Checks for the existence of one specific bank","operationId":"assertBank","parameters":[{"name":"bank","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## POST /api/assessments/banks/collect

> Collects the list of banks that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectBanks":{"type":"object","properties":{"LastChangeTimeSince":{"type":"string","format":"date-time","nullable":true},"LastChangeTimeBefore":{"type":"string","format":"date-time","nullable":true},"IsActive":{"type":"boolean","nullable":true}},"additionalProperties":false},"BankModel":{"type":"object","properties":{"BankId":{"type":"string","format":"uuid"},"DepartmentId":{"type":"string","format":"uuid","nullable":true},"FrameworkId":{"type":"string","format":"uuid","nullable":true},"IsActive":{"type":"boolean"},"BankEdition":{"type":"string","nullable":true},"BankLevel":{"type":"string","nullable":true},"BankName":{"type":"string","nullable":true},"BankStatus":{"type":"string","nullable":true},"BankTitle":{"type":"string","nullable":true},"BankType":{"type":"string","nullable":true},"LastChangeType":{"type":"string","nullable":true},"LastChangeUser":{"type":"string","nullable":true},"AssetNumber":{"type":"integer","format":"int32"},"AttachmentCount":{"type":"integer","format":"int32"},"BankSize":{"type":"integer","format":"int32"},"CommentCount":{"type":"integer","format":"int32"},"FormCount":{"type":"integer","format":"int32"},"OptionCount":{"type":"integer","format":"int32"},"QuestionCount":{"type":"integer","format":"int32"},"SetCount":{"type":"integer","format":"int32"},"SpecCount":{"type":"integer","format":"int32"},"LastChangeTime":{"type":"string","format":"date-time"}},"additionalProperties":false}}},"paths":{"/api/assessments/banks/collect":{"post":{"tags":["Assessments API: Questions"],"summary":"Collects the list of banks that match specific criteria","operationId":"collectBanks","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectBanks"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectBanks"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectBanks"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectBanks"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BankModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BankModel"}}}}}}}}}}
```

## POST /api/assessments/banks/count

> Counts the banks that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CountBanks":{"type":"object","properties":{"LastChangeTimeSince":{"type":"string","format":"date-time","nullable":true},"LastChangeTimeBefore":{"type":"string","format":"date-time","nullable":true},"IsActive":{"type":"boolean","nullable":true}},"additionalProperties":false},"CountResult":{"type":"object","properties":{"Count":{"type":"integer","format":"int32"},"Summary":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/assessments/banks/count":{"post":{"tags":["Assessments API: Questions"],"summary":"Counts the banks that match specific criteria","operationId":"countBanks","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CountBanks"}},"application/json":{"schema":{"$ref":"#/components/schemas/CountBanks"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountBanks"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CountBanks"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountResult"}}}}}}}}}
```

## POST /api/assessments/banks/download

> Downloads the list of banks that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectBanks":{"type":"object","properties":{"LastChangeTimeSince":{"type":"string","format":"date-time","nullable":true},"LastChangeTimeBefore":{"type":"string","format":"date-time","nullable":true},"IsActive":{"type":"boolean","nullable":true}},"additionalProperties":false}}},"paths":{"/api/assessments/banks/download":{"post":{"tags":["Assessments API: Questions"],"summary":"Downloads the list of banks that match specific criteria","operationId":"downloadBanks","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectBanks"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectBanks"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectBanks"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectBanks"}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## POST /api/assessments/banks/search

> Searches for the list of banks that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"SearchBanks":{"type":"object","properties":{"LastChangeTimeSince":{"type":"string","format":"date-time","nullable":true},"LastChangeTimeBefore":{"type":"string","format":"date-time","nullable":true},"IsActive":{"type":"boolean","nullable":true}},"additionalProperties":false},"BankMatch":{"type":"object","properties":{"BankId":{"type":"string","format":"uuid"}},"additionalProperties":false}}},"paths":{"/api/assessments/banks/search":{"post":{"tags":["Assessments API: Questions"],"summary":"Searches for the list of banks that match specific criteria","operationId":"searchBanks","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/SearchBanks"}},"application/json":{"schema":{"$ref":"#/components/schemas/SearchBanks"}},"text/json":{"schema":{"$ref":"#/components/schemas/SearchBanks"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SearchBanks"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BankMatch"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BankMatch"}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shiftiq.com/developers/api-v2/navigating-the-api/assessments-api-questions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
